Subject: Filtering

From: Robert Brady <[email-masked]>
Date: Thu, 2 Sep 1999 18:13:33 +0100 (GMT)

Hello.

I am currently trying to add a feature to pine (multibyte
character set support, and automatic conversion between character sets). I
have already got rfc2047 decoding working properly, by enchancing the
function in strings.c so it can actually convert between charsets.

It's decoding message bodies that I am stuck on.

I believe that the right place to change is in mailview.c:decode_text, and
should be done by inserting the appropriate filter in the filter queue? 

However, I can't figure out how the filters work... can someone show how
me to write a "null", filter, which just passes through stuff unchanged?,
and I will be able to pick up the ball from there?

Thanks,
Robert

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------